# std::pmr::null_memory_resource

From cppreference.com
< cpp‎ | memory

Defined in header `<memory_resource>` |  |
std::pmr::memory_resource* null_memory_resource() noexcept; |  | (since C++17)

Returns a pointer to a `memory_resource` that doesn't perform any allocation.

### Return value

Returns a pointer `p` to a static storage duration object of a type derived from std::pmr::memory_resource, with the following properties:

- its `allocate()` function always throws std::bad_alloc;
- its `deallocate()` function has no effect;
- for any `memory_resource` `r`, `p->is_equal(r)` returns `&r == p`.

The same value is returned every time this function is called.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/null_memory_resource&oldid=105319"